Cerebellar Granule Cell - Solinas et al. 2010 - Bug #8

GranCell_mod should match GRANULE_Cell's behaviour
06 Mar 2012 17:14 - Eugenio Piasini
Target version:

Description

We have to make sure that the neuroconstruct model which uses the mod files from the original NEURON implementation behaves
exactly as the reference model. As of Revision r7, this doesn't appear to be true: | attach a comparison between the two cells
obtained by simulating a simple current injection as per the test.py script at 30 deg C.

lattached_image!

History

#1 - 07 Mar 2012 00:27 - Eugenio Piasini
- File GranCellSolinasEtAlI10_test rev7_NMDALeak noTABLEKCa.png added

Revision r8

* Added the NMDA_Leak mechanism

* commented out the TABLE and DEPEND lines in GRANULE_KCA.mod (in the nC project) to mimic the effect of the
h.usetable_GRANULE_KCA = 0

setting in GRANULE_Cell.py.

However, it still doesn't match: see attached graph.
IGranCellSolinasEtAl10_test_rev8_NMDALeak _noTABLEKCa.png!

#2 - 07 Mar 2012 00:29 - Eugenio Piasini
- File deleted (GranCellSolinasEtAl10_test rev7_NMDALeak _noTABLEKCa.png)

#3 - 07 Mar 2012 00:29 - Eugenio Piasini
- File GranCellSolinasEtAlI10_test rev8_NMDALeak noTABLEKCa.png added

#4 - 08 Mar 2012 17:10 - Sergio Solinas
- File GranuleCellSolinasEtAl10_test r8.png added

e IGranuleCellSolinasEtAI10_test r8.png!
¢ | disagree with Eugenio simulation results, in my simulations the overlap between test.py and the nC version is remarkable.

#5 - 09 Mar 2012 12:00 - Eugenio Piasini

- Status changed from New to Resolved

My bad. In my previous simulations, | had left the temperature in test.py at 37 instead of 30. | confirm that rev r8(:63ed761a1024) fixes the issue. I'm
going to merge back this fix in the repo's default branch.

#6 - 09 Mar 2012 14:08 - Eugenio Piasini

- Status changed from Resolved to Closed

Files

GranCellSolinasEtAI10_test_rev7.png 66 KB 06 Mar 2012 Eugenio Piasini
GranCellSolinasEtAI10_test_rev8_NMDALeak_noTABLEKCa.png 77.2 KB 06 Mar 2012 Eugenio Piasini
GranuleCellSolinasEtAI10_test_r8.png 67.5 KB 08 Mar 2012 Sergio Solinas
